# wired-elements
Wired Elements is a series of basic UI Elements that have a hand drawn look. These can be used for wireframes, mockups, or just the fun hand-drawn look. 

![alt Preview](https://i.imgur.com/qttPllg.png)

The elements are drawn with enough randomness that no two renderings will be exactly the same - just like two separate hand drawn shapes. 

## Usage

This package (wired-elements) exports all components in the **_wired_** category. Links to individual repositories are provided [here](#Components).

Add wired-elements to your project:
```
npm i wired-elements
```
Import wired-elements definition into your HTML page:
```html
<script type="module" src="wired-elements/wired-elements.js"></script>
```
Or into your module script:
```javascript
import { WiredButton, WiredInput } from "wired-elements"
```

Use it in your web page:
```html
<wired-input placeholder="Enter name"></wired-input>
<wired-button>Click Me</wired-button>
```

Learn about web components [here](https://www.webcomponents.org/introduction).

## Components

[wired-button](https://github.com/wiredjs/wired-button)

[wired-card](https://github.com/wiredjs/wired-card)

[wired-checkbox](https://github.com/wiredjs/wired-checkbox)

[wired-combo](https://github.com/wiredjs/wired-combo)

[wired-icon-button](https://github.com/wiredjs/wired-icon-button)

[wired-input](https://github.com/wiredjs/wired-input)

[wired-listbox](https://github.com/wiredjs/wired-listbox)

[wired-progress](https://github.com/wiredjs/wired-progress)

[wired-radio](https://github.com/wiredjs/wired-radio)

[wired-radio-group](https://github.com/wiredjs/wired-radio-group)

[wired-slider](https://github.com/wiredjs/wired-slider)

[wired-textarea](https://github.com/wiredjs/wired-textarea)

[wired-toggle](https://github.com/wiredjs/wired-toggle)

[wired-tooltip](https://github.com/wiredjs/wired-tooltip)

### Demo

Demo of all components is avaialable at [wiredjs.com](https://wiredjs.com)

### License
[MIT License](https://github.com/wiredjs/wired-elements/blob/master/LICENSE) (c) [Preet Shihn](https://twitter.com/preetster)
